# FaceType – End User License Agreement (EULA)

FaceType says thank you for reading this and taking the time to understand this License Agreement! Your support makes this foundry possible.

## Acknowledgments

FaceType is willing to license the licensed product to Licensees only on the condition that the Licensee accepts the terms and conditions contained in this agreement. By placing an order for and accepting FaceType font software (electronic data), or by downloading the software accompanying this license, the Licensee acknowledges that he has read all of the terms and conditions of this agreement, understands them, and agrees to be bound by them.

If the Licensee does not agree to these terms and conditions, he must promptly cease download or use of the licensed product and return the licensed product to FaceType or its reseller for a full refund of the license fee which the Licensee paid for the licensed product, and the Licensee must immediately delete any portion of the font software installed on Licensee’s computer(s).

If you intend to create a trademark, logo, brand or corporate identy, a multinational campaign using any of FaceType’s typefaces or if the number of prints for large commercial projects exceeds 250,000, a special font license solely issued by FaceType is needed. Please contact us for more information: welcome@facetype.org

## Types of Font Licenses

Most font license distributors offer default font licenses. If not, please contact FaceType directly: welcome@facetype.org

## 1. Desktop License

### 1.a Definition

With a desktop license, you may install a font into your computer’s operating system and use it in any of your applications that contain a fonts menu such as TextEdit, Microsoft Word Adobe Photoshop or Indesign.

### 1.b The Licensee May

Create personal or commercial print documents, posters, business cards, goods for sale, (such as clothing apparel and accessories), physical goods, static images, and other objects like stationery, mugs, T-shirts and the like. Desktop licenses are based on the number of computers (= computers) the fonts are installed onto. If more people intend to use the fonts, just add additional licenses. See ‘Multi-User Licenses’ below for more infos.

### 1.c Embedding Restrictions

PDF embedding of the font software into PDF documents is only permitted in a secured read-only mode that allows only printing and viewing, and prohibits editing, selecting, enhancing or modifying the text.

Licensee must ensure that recipients of PDF documents cannot extract the FaceType font software from such PDF documents or use the embedded font software for editing purposes or for the creation of new documents.

If you are unable to limit access to the document to ‘printing and viewing’ only, the electronic document(s) may not be used on computers that are not Licensed Computers. Examples of non-commercial, not-for-profit permitted usage include PDF documents supplied to Service Bureaus, printers, or any documents that disseminate personal, internal or business information.

### 1.d Number of Users

This electronic data may be installed on up to one (1) computer. If you are using this product with more than one (1) computers, the Licensee requires to obtain a Multi-User License for the appropriate number of computers (see Multi-User Licenses section below).

### 1.e Multi-User Licenses

FaceType calculates Multi-User Licenses based on the chart below. The price FaceType charges the Licensee will be calculated based on the number of computers the fonts will be installed onto:

- 1-2 computers: single License x 1
- 3–5 computers: single License x 2
- 6–15 computers: single License x 3
- 16–30 computers: single License x 4
- 31–50 computers: single License x 5
- 51–75 computers: single License x 6
- 76–100 computers: single License x 7
- 101–120 computers: single License x 8
- 121–145 computers: single License x 9
- 146–160 computers: single License x 10
- 161–180 computers: single License x 11
- 181–195 computers: single License x 12
- 196–215 computers: single License x 13
- 216–230 computers: single License x 14
- 231–260 computers: single License x 15
- 261–300 computers: single License x 16
- 301–335 computers: single License x 17
- 336–375 computers: single License x 18
- 376–415 computers: single License x 19
- 416–460 computers: single License x 20
- 461–520 computers: single License x 21
- 521–580 computers: single License x 22
- 581–640 computers: single License x 23
- 641–700 computers: single License x 24
- 701–760 computers: single License x 25
- 761–820 computers: single License x 26
- 821–880 computers: single License x 27
- 881–940 computers: single License x 28
- 941–1000 computers: single License x 29

## 2. Webfont License

A webfont license allows you to embed the purchased webfont into your website (a group of pages related to one domain, including sub-domains). If you only use static images with one of our fonts on your website a desktop license is sufficient.

FaceType is not responsible for installing, embedding, hosting or updating the webfonts. Web design agencies or hosting providers are not allowed to share a single webfont license across their clients’ websites. The price FaceType charges the Licensee will be calculated based on the number of pageviews per month:

- 10 000 pageviews per month or less: single License x 1
- 100 000 pageviews per month or less: single License x 2
- More than 100 000 pageviews per month: single License x 10

## 3. App License

Select this license type when you are developing an app for iOS, Android, or Windows Phone or any other mobile OS, and you intend to embed the font files in your mobile application’s code. This license does not cover web apps. The amount of installations across the platforms (i. g. iOS, Android, …) is unlimited.

An Apps License is also required when incorporating the font software into your hardware, software or any other products, such as application programs, interfaces, EPOS, WEPOS, POSReady, operating systems, electronics, electronic games, entertainment products, video on demand, gaming devices.

## 4. Server License

Select a server license when you need to install the font on Web Servers that will allow the generation of items such as PDF invoices, custom business cards, or other personalized products using Web to Print technologies. This license allows your customers to utilize the fonts you have purchased in order to customize the products that you offer, but the fonts can not be distributed or downloaded from the server.

## 5. ePub License

Choose one of our fonts available with an ePub license when creating layouts for publications intended for Kindles, iPads or other eReaders, ePublishing, ePub, eBooks, eZines, proprietary reader devices. If you just need a font to create a cover image, purchase a desktop license. An ePub license is valid for file formats such as PDF, EPUB 2.01, EPUB 3, and KF8.

## General

You agree to inform your employees or any other person having access to the FaceType software and copies thereof, of the terms and conditions of this Standard License Agreement and to ensure that they shall strictly abide by these terms and conditions.

You agree that you will not export or re-export the Software in any form without the appropriate United States, European, and worldwide government licenses.

You agree not to sublicense, sell, lease or otherwise transfer the electronic data without the prior written consent of FaceType.

## Grant of License

In consideration of payment of the license fee, included in the price paid by the Licensee for this product, the Licensor grants to the Licensee a non-exclusive right to use this product, which consists of electronic data to display and output PostScript®, TrueType® or OpenType® typefaces. The terms of this Agreement are contractual in nature and not mere recitations.

## Prohibited Usage

This product is licensed only to the Licensee, and may not be transferred to any third party at any time without the prior written consent of FaceType.

The Licensee may not modify, translate, adapt, alter, decompile, disassemble, decrypt, reverse engineer, change or alter the embedding bits, the font name, legal notices contained in the font software, nor seek to discover the source code of the font data, convert into another font format, create bitmaps, add or subtract any glyphs, symbols or accents, or any other derivative works based on the electronic data in this product.

The Licensee may not supply, directly or indirectly, any FaceType font data to any other firm, business or individual for any type of modifications or updates whatsoever.

If the Licensee needs to modify or update the font data in anyway in the future, FaceType solely will perform and invoice this additional work at its normal prevailing rates.

The Licensee may not duplicate, modify, adapt, translate or create derivative works based on the printed materials that may have been supplied with this product. It is a breach of this license agreement to use the product in any way that infringes the rights of any third party under copyright, trademark, patent or any other laws.

In the event of infringing uses by the Licensee, this license immediately terminates and the Licensee is solely responsible for any such infringing uses including all legal and other damages that may be incurred.

## Ownership

FaceType retains intellectual property rights, title and ownership of any of its electronic data provided. This title and ownership extends to copies of the data installed on any computer, downloaded to any output device, or retained on other media by the Licensee as a backup.

This license does not constitute an exclusive sale of the original product to the Licensee. This Agreement does not grant you any right to patents, copyrights, trade secrets, trade names, trademarks (whether registered or unregistered), or any other rights, franchises or licenses in respect of the electronic data.

No rights are granted to you other than a License to use the electronic data on the terms expressly set forth in this Agreement. The Licensee further acknowledges and agrees that the structure, organisation and code of the font software are valuable trade secrets and confidential information of FaceType.

The font software is protected by copyright including without limitation, by Austrian, and United States Copyright Law, international treaty provisions, and applicable laws in the jurisdiction of use.

## Copy Restrictions

This product is copyrighted and contains proprietary information and trade secrets of FaceType. Unauthorised copying of this product is expressly forbidden.

You are permitted to create backups of the font software, provided that: (a) they are stored only at the site where this product is licensed, and (b) the full copyright information is included with each backup copy.

You may be held legally responsible for any infringement of FaceType’s intellectual property rights that is caused or encouraged by your failure to abide by the terms of this Agreement.

## Limited Warranty

If the media or the font software contained in this FaceType product is found to be defective within 90 days of the date of delivery to the Licensee, FaceType will provide suitable replacements at no charge to the Licensee, provided the Licensee can provide proof of purchase. The entire risk of performance and quality of this product is with the Licensee.

FaceType does not warrant that this product will operate with all other software products, or that it will satisfy your requirements. FaceType’s entire liability to the Licensee will not extend beyond replacement of defective media or refund of the purchase price.

## Disclaimer

Except as expressly provided above, this product is provided ‘as is’. FaceType does not make any warranty of any kind, either expressed or implied, including, but not limited to, the implied warranties of merchantability and fitness for a particular purpose.

No oral or written information or advice given by FaceType, its dealers, distributors, agents, or employees will create a warranty or in any way increase the scope of this warranty, and Licensee may not rely upon any such information or advice.

FaceType shall not be liable for any direct, indirect, consequential, or incidental damages or any other damages of any kind whatsoever (including damages from loss of business profits, business interruption and loss of business information) arising out of the use or inability to use this product.

Because laws governing the exclusion or limitation of liability for consequential or incidental damages vary, the above limitation may not be applicable.

## Update Registration

At its option, FaceType will, from time to time, provide updates of this product to Licensees who have opted into receiving updates in their user profile.

## Termination

This Agreement is effective until terminated. This Agreement will terminate automatically without notice from FaceType, if the Licensee fails to comply with any provision contained herein.

Upon termination of this Agreement, the Licensee must: (a) destroy all copies of the electronic data, including the copy on the disk media originally provided in this product, (b) destroy all written materials provided with this product, if any, and (c) provide FaceType with written verification that the product has been destroyed.

## Severability

If any provisions of this Agreement are held to be invalid, illegal or unenforceable, then such provision(s) shall be severed from it, and the validity, legality and enforceability of its remaining provisions shall not be affected or impaired.

## Waiver

Waiver of any right(s) at any time shall not constitute waiver of any right(s) at any future time.

## License Agreement

This Agreement may only be modified by FaceType. FaceType expressly reserves the right to amend, modify or change this Standard License Agreement at any time without prior notification.

## Jurisdiction

This Agreement represents the entire agreement between the Licensor and Licensee. FaceType may only modify this Agreement. The laws of Austria govern this License Agreement. If you have any questions concerning this Agreement or any matters regarding our products, please write to: welcome@facetype.org

The FaceType collections are the brands and trademarks of FaceType. PostScript and Flash are registered trademark of Adobe Systems, Inc. TrueType®, OpenType® and Silverlight® are registered trademarks of Microsoft Corporation. All other brand or product names are the trademarks or registered trademarks of their respective holders and are duly recognised.

© Copyright September 30th, 2019 – Georg Herold-Wildfellner, Marcus Sterz.
