#
# Provides cellular support.
#
# vim: et:ts=2:sw=2:
#
{
  lib,
  pkgs,
  deprekages,
  ...
}:
{
  environment.systemPackages = with pkgs; [
    atinout
    libqmi
    modem-manager-gui
    modemmanager

    calls
    callaudiod
  ];

  # We can't just start the ModemManager service,
  # since it's shipped in a broken way in nixpkgs.
  # Instead, we'll mark it as wanted by NetworkManager.
  systemd.services.NetworkManager = {
    wants = [ "ModemManager.service" ];
    after = [ "ModemManager.service" ];
  };

}
