{ pkgs, ... }:
{
  # Support packages.
  environment.packages = with pkgs; [
    xdg-desktop-portal
    wezterm
    mesa
    roxterm
    xorg.xkeyboardconfig
    dmenu
	  xfce.xfce4-session
  ];

  #
  # XOrg setup.
  #
  home-manager.config.xsession = {
    enable = true;

    # Use i3 as our primary window manager on HM-managed sessions.
    windowManager.i3 = {
      enable = true;

      config = {
        modifier = "Mod4";

        terminal = "${pkgs.wezterm}/bin/wezterm";
      };
    };
  };
}
