#
# Flake registery configuration module.
#
# vim: et:ts=2:sw=2:
#
{ nixpkgs, ... }:
{

  nix = {
    registry = {

      # Add _this_ flake to the flake registry.
      deprekages.to = {
        type = "git";
        url = "https://git.katesiria.org/deprekages/dotfiles";
      };

      # Pin nixpkgs to the version we specified in our flakes.
      nixpkgs = {
        from = {
          id = "nixpkgs";
          type = "indirect";
        };
        flake = nixpkgs;
      };
    };

    # And ensure the flake registry uses it, too.
    nixPath = [
      "nixpkgs=flake:nixpkgs"
      "/nix/var/nix/profiles/per-user/root/channels"
    ];

  };

}
