#
# Support using flatpak apps in Nix.
# Apps themselves are added in nixos/packages/flatpak.nix
#
{ ... }:
{
  services.flatpak = {
    enable = true;

    # Automatically update flatpak apps on activation, weekly.
    update.auto.enable = true;

    # Provide additional places to get flatpaks from.
    remotes = [
      {
        name = "flathub";
        location = "https://flathub.org/repo/flathub.flatpakrepo";
      }
      {
        name = "kitinerary";
        location = "https://cdn.kde.org/flatpak/kitinerary-workbench-nightly/kitinerary-workbench-nightly.flatpakrepo";
      }
    ];

  };
}
