# vim: et:ts=2:sw=2:
#
# Configruation for running a GNOME XServer
#
{ config, pkgs, ... }:

{
  imports = [
    ./fonts.nix
    ./gui-packages.nix
  ];

  #
  # GUI setup.
  #

  # Use plasma + X11.
  services.xserver = {
    enable = true;

    desktopManager.gnome.enable = true;
    displayManager.gdm.enable = true;
  };

  # Enable sound with pipewire.
  sound.enable = true;
  hardware.pulseaudio.enable = false;
  security.rtkit.enable = true;
  services.pipewire = {
    enable = true;
    alsa.enable = true;
    alsa.support32Bit = true;
    pulse.enable = true;
  };

}
