{ pkgs, ... }:
{
  # Support packages.
  home.packages = with pkgs; [
    xdg-desktop-portal
    wezterm
    mesa
    roxterm
  ];

  #
  # XOrg setup.
  #
  xsession = {
    enable = true;

    # Use i3 as our primary window manager on HM-managed sessions.
    windowManager.i3 = {
      enable = true;

      config = {
        modifier = "Mod4";

        terminal = "${pkgs.wezterm}/bin/wezterm";
      };
    };
  };
}
