#
# Configuration for machines that should run our music server.
#
# vim: et:ts=2:sw=2:
#
{ pkgs, ... }:
{

  home-manager.users.deprekated =
    { pkgs, config, ... }:
    {

      # Use mopidy as our music server.
      services.mopidy = {
        enable = true;

        extensionPackages = with pkgs; [
          mopidy-iris
          mopidy-mpd
          mopidy-tidal
          mopidy-bandcamp
        ];

        settings = {

          # Use tidal, for now.
          tidal = {
            enabled = true;
            quality = "LOSSLESS";
          };

        };
      };

      # Translate our commands over MPRIS2.
      services.mpdris2 = {
        enable = true;
        multimediaKeys = true;
        notifications = true;

        # We're streaming, baby!
        mpd.musicDirectory = null;
      };

    };

}
