{ pkgs, deprekages, lib, ... }:
{
  nix.package = lib.mkForce pkgs.lix;

  environment.motd = "";

  # Use xonsh.
  user.shell = "${deprekages.xonsh-with-xontribs}/bin/xonsh";

  # Get some basic packages in our env.
  environment.packages = with pkgs; [
    inetutils
    deprekages.xonsh-with-xontribs
  ];

  # Use tailscale DNS.
  environment.etc."resolv.conf".text = lib.mkForce ''
    nameserver 100.100.100.100
    nameserver 1.1.1.1
  '';

  # Make dbus work.
  environment.etc = {
    "dbus-1/session.conf".text = ''
        <!DOCTYPE busconfig PUBLIC "-//freedesktop//DTD D-Bus Bus Configuration 1.0//EN"
         "http://www.freedesktop.org/standards/dbus/1.0/busconfig.dtd">
        <busconfig>
          <listen>unix:tmpdir=/data/data/com.termux.nix/files/usr/tmp</listen> 
        </busconfig>
    '';
    "machine-id".text = "f78ff6ce2aa29790a23403e8671fec4b";
  };

  # Termux tool support.
  android-integration = {
    am.enable = true;
    termux-open.enable = true;
    termux-open-url.enable = true;
    termux-reload-settings.enable = true;
    termux-setup-storage.enable = true;
    termux-wake-lock.enable = true;
    termux-wake-unlock.enable = true;
    unsupported.enable = true;
    xdg-open.enable = true;
  };
}
