{ config, lib, ... }:
{
  home.username = "deprekated";
  home.homeDirectory = "/home/deprekated";

  # Tie our configruation to the version it was written for.
  home.stateVersion = "24.05";

  #
  # "Raw file" dotfiles.
  # These aren't generated by Nix, specifically so we can use them on Windows as well.
  #

  # xonsh
  xdg.configFile.xonsh.source = ../../xonsh;

  # wezterm
  xdg.configFile.wezterm.source = ../../wezterm;

  # calendar / contact sync
  xdg.configFile.khal.source = ../../khal;
  xdg.configFile.vdirsyncer.source = ../../vdirsyncer;

  # looking-glass
  xdg.configFile.looking-glass.source = ../../looking-glass;

  # neovim
  xdg.configFile.nvim = {
    source = ../../nvim;
    recursive = true;
  };

  # tmux
  xdg.configFile.tmux.source = ../../tmux;

  # espanso
  xdg.configFile.espanso.source = ../../espanso;

  # kakoune
  #xdg.configFile."kak/autoload".source = ../../../kak/autoload;
  xdg.configFile."kak/wezterm-tab.kak".source = ../../kak/wezterm-tab.kak;
  xdg.configFile."kak/sudo-write.kak".source = ../../kak/sudo-write.kak;

  # taskwarrior
  xdg.configFile."task/taskrc".source = ../../taskwarrior/taskrc;
  xdg.dataFile."task/hooks".source = ../../taskwarrior/hooks;

	# place our gtk2-rc in a place where it won't conflict
  gtk.gtk2.configLocation = "${config.xdg.configHome}/gtk-2.0/gtkrc";
}
