#
# GUI packages we want in our environment, but which require building.
# For machines that have GUI support and can reasonably build things.
#
# vim: et:ts=2:sw=2:
#
{
  config,
  deprekages,
  pkgs,
  ...
}:
{
  #
  # Systemwide environment packages, for GUI.
  #

  # List packages installed in system profile. To search, run:
  # $ nix search wget
  environment.systemPackages =
    with pkgs;
    [
    ]

    # Linux-only packages.
    ++ (
      if pkgs.stdenv.isLinux then
        [

          # Lab equipment control.
          deprekages.scopehal-apps
          deprekages.scopehal-sigrok-bridge
          vulkan-tools
        ]
      else
        [ ]
    )

    # Mac-only packages.
    ++ (
      if pkgs.stdenv.isDarwin then
        [

        ]
      else
        [ ]
    )

    # x86_64 only packages 
    ++ (
      if pkgs.stdenv.isx86_64 then
        [

        ]
      else
        [ ]
    );

}
