#
# Large GUI packages we want in our environment.
# For machines that have GUI support, enough space, and which 
# will are likely to be used offline.
#
# vim: et:ts=2:sw=2:
#
{
  config,
  deprekages,
  pkgs,
  ...
}:
{
  #
  # Systemwide environment packages, for GUI.
  #

  # Support files for the packages below.
  home-manager.users.deprekated = {
    home.file.".navit/navit.xml".source = ../../navit/navit.xml;
  };

  # List packages installed in system profile. To search, run:
  # $ nix search wget
  environment.systemPackages =
    with pkgs;
    [
    ]

    # Linux-only packages.
    ++ (
      if pkgs.stdenv.isLinux then
        [
          # GPS support.
          deprekages.navit
          espeak
        ]
      else
        [ ]
    )

    # Mac-only packages.
    ++ (
      if pkgs.stdenv.isDarwin then
        [

        ]
      else
        [ ]
    )

    # x86_64 only packages 
    ++ (
      if pkgs.stdenv.isx86_64 then
        [

        ]
      else
        [ ]
    );

}
