#
# Homebrew package for our Darwin nix installs.
#
# vim: et:ts=2:sw=2:
#
{
  config,
  pkgs,
  lib,
  ...
}:

with lib;
{
  homebrew = {
    enable = true;

    # The packages we want directly from Homebrew, instead of nixpkgs.
    brews = [
      # Currently broken on Nix for Darwin.
      "magic-wormhole"

      # Needs to be in macOS locations for pyusb to find it.
      "libusb"

      # Not provided by Nix.
      "usbutils"
      "mingw-w64"

      # For OpenHantek. We're going to regret this.
      "libusb"
      "fftw"
      "qt5"
      "cmake"
      "binutils"
      "create-dmg"

      # For GLScopeClient. We're going to regret this.
      "pkg-config"
      "gtk+3"
      "gtkmm3"
      "glfw"
      "cmake"
      "yaml-cpp"
      "glew"
      "catch2"
      "libomp"
    ];

    # The Mac apps we want installed for us.
    casks = [
      "010-editor"
      "audio-hijack"
      "bartender"
      "bettertouchtool"
      "bitwarden"
      "calibre"
      "chromium"
      #"dash"
      "discord"
      "firefox"
      "gcc-aarch64-embedded"
      "ghidra"
      "google-drive"
      "gpg-suite-no-mail"
      "gtkwave"
      "iexplorer"
      "irccloud"
      "little-snitch"
      "loopback"
      "nordvpn"
      "nvidia-geforce-now"
      "obs-virtualcam"
      "obs"
      "obsidian"
      #"omnigraffle"
      "onedrive"
      "sengi"
      "owncloud"
      "raycast"
      "snagit"
      "soundsource"
      "steam"
      "trailer"
      "vlc"
      "xquartz"
      "karabiner-elements"
      #"kicad"
      "keka"
      "android-studio"
      "arduino"
      "bitwig-studio"
      "wezterm"
      "sweet-home3d"
    ];
  };
}
