#
# GUI packages we want in our environment.
# For machines that have GUI support.
#
# vim: et:ts=2:sw=2:
#
{ pkgs, deprekages, ... }:
let
  proprietaryPopulated = builtins.pathExists ../../proprietary/README.md;
  installProprietaryLinux = pkgs.stdenv.isLinux && proprietaryPopulated;
  installProprietaryMac = pkgs.stdenv.isDarwin && installProprietaryMac;
  installProprietaryx86_64 = pkgs.stdenv.isLinux && proprietaryPopulated;
  installProprietaryaarch64 = pkgs.stdenv.isDarwin && installProprietaryMac;
in
{
  #
  # Proprietary packages.
  # Skipped if proprietary is not cloned.
  #

  environment.systemPackages =
    with pkgs;
    [ ]

    # Linux-only packages.
    ++ (
      if installProprietaryLinux then
        [
          deprekages.binary-ninja
          deprekages.flexbv
        ]
      else
        [ ]
    )

    # Mac-only packages.
    ++ (
      if installProprietaryMac then
        [
        ]
      else
        [ ]
    )

    # x86_64 only packages
    ++ (
      if installProprietaryx86_64 then
        [
        ]
      else
        [ ]
    )

    # aarch64 only packages
    ++ (
      if installProprietaryaarch64 then
        [
        ]
      else
        [ ]
    );

}
