{
  lib,
  buildNpmPackage,
  fetchFromGitHub,
}:

buildNpmPackage rec {
  pname = "hrvst-cli";
  version = "2.0.1";

  src = fetchFromGitHub {
    owner = "kgajera";
    repo = "hrvst-cli";
    rev = "v${version}";
    hash = "sha256-Xq0q5K0BniVv4AGcEGMFG/rAhvdMy1+to1+9gow2MaA=";
  };

  npmDepsHash = "sha256-Grx3szP5oFpMCr+dWFPmo0V7RRFrltjxGtbz7CAxUEo=";

  meta = {
    description = "Harvest CLI that contains all features available in Harvest's REST API V2 and more";
    homepage = "https://github.com/kgajera/hrvst-cli";
    license = lib.licenses.mit;
    maintainers = with lib.maintainers; [ ];
    mainProgram = "hrvst-cli";
    platforms = lib.platforms.all;
  };
}
