#
# Smartcard Emulation Tools
#
{ pkgs, autoconf269, autoreconfHook269, autoconf-archive, pkg-config, python3, pcsclite, help2man, qrencode, gengetopt, lib }:
pkgs.stdenv.mkDerivation rec {
  pname = "pcsc-relay";
  version = "0.9";

  src = pkgs.fetchgit {
    url = "https://github.com/frankmorgner/vsmartcard";
    rev = "virtualsmartcard-${version}";
    sha256 = "sha256-SBF7i+eVoW4hZOLxp4qhr+iSeGHvXCPHQsc2oYvPXI4=";
    fetchSubmodules = true;
  };

  nativeBuildInputs = [
   python3
   autoconf269
   autoreconfHook269
   pkg-config
   help2man
   pcsclite
   gengetopt
  ];

  buildInputs = [
  ];

  preAutoreconf = ''
    cd ${pname}
  '';

  meta = {
    description = "smart card emulation and relay tools";
    homepage = "https://frankmorgner.github.io/vsmartcard/virtualsmartcard";
    license = pkgs.lib.licenses.gpl2;
  };
}
