#
# FFTS FFT library
#
# vim: et:ts=2:sw=2:
#
{ pkgs ? import <nixpkgs>, cmake, ... }:
pkgs.stdenv.mkDerivation rec {
  pname = "ffts";
  version = "git";
  
  nativeBuildInputs = [ cmake ];

  src = pkgs.fetchFromGitHub {
    owner = "anthonix";
    repo = "ffts";
    rev = "fe86885ecafd0d16eb122f3212403d1d5a86e24e";
    sha256 = "sha256-arBXkEbKGd0y6XpyynUSFQmNs7fndhEK7y1NNZI9MnI=";
  };

  meta = {
    description = "fast general-purpose FFT library";

    longDescription =
      '' The 'fastest fourier transform' library in the south. 
         A FFT library that works almost anywhere.
      '';

    homepage = "https://github.com/anthonix/ffts";
    license = pkgs.lib.licenses.mit;
  };
}
