#
# Vulkan SDK for Linux
#
# vim: et:ts=2:sw=2:
#
{ pkgs ? import <nixpkgs>, lib, stdenv, ... }:
pkgs.stdenv.mkDerivation rec {
  pname = "vulkan-sdk";
  version = "1.3.224.1";
  
  src = pkgs.fetchzip {
    url = "https://sdk.lunarg.com/sdk/download/${version}/linux/vulkansdk-linux-x86_64-${version}.tar.gz";
    sha256 = "sha256-XsMXXk+h3B/y8sITXlchYUHFbCBiPx16BIWn9rQVMDo=";
  };

  # We only need to copy the SDK into place.
  dontBuild = true;
  dontConfigure = true;

  # Select only the target architecture for this machine.
  installPhase = ''
    cp -r ${src}/${stdenv.targetPlatform.linuxArch} $out
  '';

  meta = {
    description = "Vulkan SDK for Linux";
    homepage = "https://www.lunarg.com/vulkan-sdk/";
    license = lib.licenses.mit;
  };
}
