#
# VSCode extensions we use.
#

{ vscode-utils, ... }:
let
	# Helper for creating simple marketplace extesnsions.
	quickMarketplaceExtension = args: vscode-utils.buildVscodeMarketplaceExtension { mktplcRef = args; };
in
{
	#
	# Various simple extension definitions.
	#

	gregoire.dance = quickMarketplaceExtension {
		name = "dance";
		publisher = "gregoire";
		version = "0.5.15001";
		hash = "sha256-gGTpeOQeIQj2ObyC6504+lzLFUS35RNw5z2/isPRpyM=";
	};

  reykjalin.vscode-kakoune = quickMarketplaceExtension {
    name = "vscode-kakoune";
    publisher = "reykjalin";
    version = "1.3.1";
    hash = "sha256-79nINsgLYRdzikcZshubGt7xMDprlJ246zQejrr3vN0=";
  };


	#
	# Talon-related extensions.
	#

	pokey.talon = quickMarketplaceExtension {
		name = "talon";
		publisher = "pokey";
		version = "0.2.0";
		hash = "sha256-BPc0jGGoKctANP4m305hoG9dgrhjxZtFdCdkTeWh/Xk=";
	};

	pokey.cursorless = quickMarketplaceExtension {
		name = "cursorless";
		publisher = "pokey";
		version = "0.29.1295";
		hash = "sha256-QIfAu76QhIII8Xnt5lCCVsZAaa57OHszC4ZQuq67MZs=";
	};

	pokey.parse-tree = quickMarketplaceExtension {
		name = "parse-tree";
		publisher = "pokey";
		version = "0.32.0";
		hash = "sha256-SfixHdqXsHYxWUVku6N8+H3xaA5NKXsgGYl3lB7izNA=";
	};

	pokey.command-server = quickMarketplaceExtension {
		name = "command-server";
		publisher = "pokey";
		version = "0.10.1";
		hash = "sha256-r70WXsr5+aHv+W5aT6m7NcaEtte1dnWhRyxWWhu0uLM=";
	};
}
