{ lib
, stdenv
, fetchFromGitHub
, cmake
}:

stdenv.mkDerivation rec {
  pname = "ws-server";
  version = "unstable-2024-08-12";

  src = fetchFromGitHub {
    owner = "Theldus";
    repo = "wsServer";
    rev = "476a67448c05ba2057bae43eaa6e704f8b2d6625";
    hash = "sha256-irPEv40uTmQPQ09ITFoUzl44BeWOCVnsHPioE4Zt6SE=";
  };

  patches = [
  ];


	# Let their makefile run cmake, since the install defs are in make.
  dontConfigure = true;
  nativeBuildInputs = [
    cmake
  ];

	# Prod things into the proper path.
	PREFIX = placeholder "out";

  meta = with lib; {
    description = "WsServer - a tiny WebSocket server library written in C";
    homepage = "https://github.com/Theldus/wsServer";
    license = licenses.gpl3Only;
    maintainers = with maintainers; [ ];
    mainProgram = "ws-server";
    platforms = platforms.all;
  };
}
