#
# oxfs faster sshfs (asynchronous ops)
#
# vim: et:ts=2:sw=2:
#
{ 
  callPackage,
  fetchPypi,
  python3Packages,
  xonsh
}:
let

  # Create a version of xonsh as a python package,
  # matching the version installed on the syste,
  xonsh-python = callPackage ./xonsh-python-package.nix { inherit xonsh; };

in python3Packages.buildPythonPackage rec {
  pname = "xontrib-term-integrations";
  version = "0.2.0";
  format = "pyproject";

  src = fetchPypi {
    inherit pname version;
    hash = "sha256-ofxOtNGPNWiuUBtiLgARLqInKdkH4Ui8oSAROmSv6GA=";
  };

  nativeBuildInputs = with python3Packages; [
    setuptools
    wheel
  ];

  buildInputs = with python3Packages; [
    xonsh-python
    pdm-pep517
  ];
}
