#
# YKUSH USB hub utility
#
{ stdenv, lib, libusb1, gcc, fetchurl,  ... }:
stdenv.mkDerivation {
  pname = "ykushcmd";
  version = "1.3.0";

  buildInputs = [
    libusb1
    gcc
  ];

  src = fetchurl {
    url = "https://github.com/Yepkit/ykush/archive/refs/tags/v1.3.0.tar.gz";
    sha256 = "sha256-K7OycmtEbU0ZsoYMoGga/glW8NbcB4l97WmWZfZspAE=";
  };

  # The package just has a single binary, but doesn't install it with `make install`. :(
  installPhase = ''
    install -D bin/ykushcmd $out/bin/ykushcmd
  '';

  meta = {
    description = "Control utility for YepKit USB hubs.";

    longDescription =
      '' ykush(cmd) contols the features of YepKit USB hubs, allowing one to
         arbitrarily turn ports on and off and otherwise control the hub.
      '';

    homepage = "https://github.com/Yepkit/ykush";
    license = lib.licenses.afl20;
  };
}
