#
# Dotfile specifics for Pike
#

# Path
# Note: lower in the list = higher priority
PATH_ADDS = [
	"C:\\Program Files\\LLVM\\bin",
	"C:\\Users\\deprekated\\scoop\\shims",
	"C:\\Users\\deprekated\\.local\\bin",
]


# Aliases
aliases['ls'] = 'eza -gb'
aliases['tree'] = 'eza --tree'

# Replace some of Xonsh's aliases with our own.
aliases['mkdir'] = 'mkdir.exe'
aliases['sudo'] = r'C:\Users\deprekated\scoop\shims\sudo.cmd'

# Use a proper GNU find.
aliases['find'] = r'C:\Users\deprekated\scoop\shims\find.exe'

# Git LFS is broken when sshConfig is set, but it accepts configuration
# from the environment, first. Take advantage to make everything work.
$GIT_SSH_COMMAND=r"C:\\\Windows\\\System32\\\OpenSSH\\\ssh.exe"

# Use mob to pass our branches around
$MOB_REMOTE_NAME="mob-remote"

# Windows behaves better when TERM isn't defined. What?
del $TERM

# Don't bother with Windows paths. They're icky.
$FORCE_POSIX_PATHS=True

# Add an open command, as Osiria wanted.
def xopen_impl(args):
  argstr = " ".join(args)
  PowerShell -Command @("(New-Object -com 'Shell.Application').ShellExecute(\"" + argstr + "\")")
aliases['xopen'] = xopen_impl

# Don't break neovim when called from Git.
__xonsh__.commands_cache.threadable_predictors['git'] = lambda *a, **kw: False

# Use our standard gpg4win SSH.
$SSH_AUTH_SOCK=r"\\.\pipe\ssh-pageant"
