#
# Dotfile specifics for maho
#

# Path
# Note: lower in the list = higher priority
PATH_ADDS = [
  "/usr/local/opt/coreutils/libexec/gnubin",
  "/usr/local/opt/findutils/libexec/gnubin",
  "/usr/local/bin",
  "/usr/local/opt/gnu-sed/libexec/gnubin",
  "/opt/local/bin",
  "/Users/deprekated/.cargo/bin",
  "/Applications/VMware Fusion.app/Contents/Library",
  "/usr/local/opt/go/libexec/bin",
  "$GOPATH/bin",
  "/usr/local/sbin",
  "/usr/local/bin",
  "/usr/local/Cellar/ruby/2.3.3/bin",
  "/usr/local/opt/llvm/bin",
  "/Users/deprekated/.bin/",
  "/usr/local/opt/e2fsprogs/sbin",
  "/usr/local/opt/grep/libexec/gnubin",
  "/Users/deprekated/Library/Python/3.7/bin"
  #"/Library/Frameworks/Python.framework/Versions/3.7/bin"
]


# Aliases
aliases['ls'] = 'eza -gb'
aliases['tree'] = 'eza --tree'

# allow us an easy alias for using the yubikey for SSH
aliases['reagent'] = "source-bash $(ssh-agent -s); launchctl setenv SSH_AUTH_SOCK $SSH_AUTH_SOCK"
aliases['ssh-add-piv'] = "ssh-add -s /usr/local/lib/opensc-pkcs11.so"
aliases['ssh-keygen-piv'] = "ssh-keygen -D /usr/local/lib/opensc-pkcs11.so -e"
aliases['gfcycle'] = "uhubctl -l 20-1 -p 4 -a cycle"
aliases['gtkwave'] = "/Applications/gtkwave.app/Contents/Resources/bin/gtkwave"

# Python
$PYTHONPATH=""
$PYTHONPATH.extend([
	$HOME + "/Projects/greatfet/libgreat/host", 
	$HOME + "/Projects/greatfet/host"
])



# Smartcard auth
$GPG_TTY=$(tty).strip()

if 'SSH_AUTH_SOCK' in ${...}:
	$ORIGINAL_SSH_AUTH_SOCK=$SSH_AUTH_SOCK

$SSH_AUTH_SOCK=$(/usr/local/MacGPG2/bin/gpgconf --list-dirs agent-ssh-socket).strip()
/usr/local/MacGPG2/bin/gpgconf --launch gpg-agent


# Such convenience.
$RHODODENDRON_M0_BIN="/home/deprekated/Projects/greatfet/firmware/build/greatfet_usb/rhododendron_m0.bin"

