#
# Dotfile specifics for Beretta
#

# Path
# Note: lower in the list = higher priority
PATH_ADDS = [ ]

# Aliases
#aliases['ls'] = 'eza -gb'
aliases['tree'] = 'eza --tree'

# Smartcard auth
if ('SSH_AUTH_SOCK' not in ${...}) or not $SSH_AUTH_SOCK.startswith('/tmp/ssh'):
    $GPG_TTY=$(tty).strip()
    gpg-connect-agent updatestartuptty /bye 2>&1 >/dev/null
    $SSH_AUTH_SOCK=$(gpgconf --list-dirs agent-ssh-socket).strip()

# Convenience hacks:
def cycle_t5_power():
    yk -d 1
    yk -u 1

# Use mob to pass our branches around
$MOB_REMOTE_NAME="mob-remote"

# Use "rebuild" as a platform-agnostic rebuilding system.
aliases['rebuild'] = 'sudo nixos-rebuild --flake ~/dotfiles'

aliases['t5cycle'] = cycle_t5_power
aliases['yk'] = "ykushcmd ykush3"

aliases['logdog'] = "bazel run //hmd/tools/logdog --"
aliases['hmdctl'] = "bazel run //hmd/tools/hmdctl --"
aliases['imgproj'] = "bazel run //hmd/tools/imgproj --"
