
# Dotfile specifics for Rita
#

# Path
# Note: lower in the list = higher priority
PATH_ADDS = [
  "/opt/Xilinx/Vivado/2020.1/bin/",
  "/opt/intel_fpga_lite/19.1/quartus/bin/",
  "/opt/Xilinx/14.7/ISE_DS/ISE/bin/lin64/",
  "/usr/local/diamond/3.11_x64/bin/lin64/",
  "/home/deprekated/.bin",
  "/home/deprekated/.local/bin",
  "/Users/deprekated/.cargo/bin",
  "/usr/local/sbin",
  "/usr/local/bin",
  "/usr/local/opt/llvm/bin",
  "/usr/local/opt/e2fsprogs/sbin",
  "/usr/local/opt/grep/libexec/gnubin",
  "/home/deprekated/.gem/ruby/2.6.0/bin",
  "/home/deprekated/.cargo/bin/",
  #"/opt/ecp5-toolchain-linux_x86_64-v1.6.3/bin"
]


# Aliases
aliases['ls'] = 'eza -gb'
aliases['tree'] = 'eza --tree'
aliases['gfcycle'] = 'uhubctl -l 3-1.3 -p 4 -a cycle'
#aliases['sshot'] = 'grim -g @($(slurp).strip())'
aliases['open'] = 'xdg-open'


# Python
$PYTHONPATH=""
$PYTHONPATH.extend([
#   $HOME + "/Projects/greatfet/libgreat/host", 
#   $HOME + "/Projects/greatfet/host"
    $HOME + "/Projects/luna",
    $HOME + "/Projects/apollo"
])


# Wayland fanciness
$GDK_BACKEND="wayland"
$CLUTTER_BACKEND="wayland"

# Environment
$NMIGEN_ENV_Diamond="/usr/local/diamond/3.11_x64/bin/lin64/diamond_env"


# Smartcard auth
#$GPG_TTY=$(tty).strip()
#gpg-connect-agent updatestartuptty /bye 2>&1 >/dev/null
#$SSH_AUTH_SOCK=$(gpgconf --list-dirs agent-ssh-socket).strip()


# Detect if we're in a chroot
if $(ls -di /).startswith("2 "):
    $PROMPT += "[chroot] " + $PROMPT


# Convenience hacks:
def cycle_t5_power():
    yk -d 1
    yk -u 1

# Use mob to pass our branches around
$MOB_REMOTE_NAME="mob-remote"

aliases['t5cycle'] = cycle_t5_power
aliases['yk'] = "ykushcmd ykush3"

aliases['logdog'] = "bazel run //hmd/tools/logdog --"
aliases['hmdctl'] = "bazel run //hmd/tools/hmdctl --"
aliases['imgproj'] = "bazel run //hmd/tools/imgproj --"
